## apertium-eval-translator 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(apertium-eval-translator
	VERSION 1.2.1
	LANGUAGES NONE
	)

install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/apertium-eval-translator.pl"
	DESTINATION bin
	RENAME "apertium-eval-translator"
	)

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/beam-eval-until-stable" _tmp)
string(REPLACE "apertium-eval-translator.pl" "apertium-eval-translator" _tmp "${_tmp}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/beam-eval-until-stable" "${_tmp}")

install(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/beam-eval-until-stable"
	DESTINATION bin
	)

=== debian/changelog ===
apertium-eval-translator (1.2.1-2) unstable; urgency=medium

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Mon, 02 Dec 2019 07:17:34 +0530

apertium-eval-translator (1.2.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #941797)

 -- Kartik Mistry <kartik@debian.org>  Sat, 05 Oct 2019 19:57:59 +0530

=== debian/control ===
Source: apertium-eval-translator
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake (>= 3.0), debhelper (>= 12)
Standards-Version: 4.4.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-eval-translator.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-eval-translator

Package: apertium-eval-translator
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: Evaluate machine translation output against reference
 This package contails Perl scripts to evaluate Apertium-based machine
 translation output against reference: WER, PER, TER, BLEU.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-eval-translator-$1.tar.gz%" \
    https://github.com/apertium/apertium-eval-translator/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-eval-translator 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18 FATAL_ERROR)
project(apertium-eval-translator
	VERSION 1.2.2
	LANGUAGES NONE
	)

install(PROGRAMS "apertium-eval-translator.pl"
	DESTINATION bin
	RENAME "apertium-eval-translator"
	)

install(PROGRAMS "apertium-eval-translator-line.pl"
	DESTINATION bin
	RENAME "apertium-eval-translator-line"
	)

file(READ "beam-eval-until-stable" _tmp)
string(REPLACE "apertium-eval-translator.pl" "apertium-eval-translator" _tmp "${_tmp}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/beam-eval-until-stable" "${_tmp}")

install(PROGRAMS
	"apertium-eval"
	"${CMAKE_CURRENT_BINARY_DIR}/beam-eval-until-stable"
	DESTINATION bin
	)

=== debian/changelog ===
apertium-eval-translator (1.2.2-1) unstable; urgency=medium

  * Require CMake 3.18+ (Closes: #1112703)

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 09 Sep 2025 16:27:33 +0200

apertium-eval-translator (1.2.1-3) unstable; urgency=low

  * Apply hints suggested by the multi-arch hinter by Debian Janitor.
  * debian/control:
    + Added Rules-Requires-Root field.
    + Use debhelper-compat.
    + Updated Standards-Version to 4.6.1
  * Updated debian/copyright.
  * Added upstream metadata file.

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Nov 2022 09:43:58 +0530

=== debian/control ===
Source: apertium-eval-translator
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake (>= 3.0), debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-eval-translator.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-eval-translator
Rules-Requires-Root: no

Package: apertium-eval-translator
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Multi-Arch: foreign
Description: Evaluate machine translation output against reference
 This package contails Perl scripts to evaluate Apertium-based machine
 translation output against reference: WER, PER, TER, BLEU.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
